Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.wml.dom
Class WMLTableElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.wml.dom.WMLElementImpl
                                    |
                                    +--weblogic.apache.wml.dom.WMLTableElementImpl

public class WMLTableElementImpl
extends WMLElementImpl
implements WMLTableElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLTableElementImpl.java,v 1.1 2000/04/23 18:07:48 david Exp $
Author:
  David Li
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`WMLTableElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getClassName()`
`int` | `getColumns()`
`java.lang.String` | `getId()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getXmlLang()`
`void` | `setAlign(java.lang.String newValue)`
`void` | `setClassName(java.lang.String newValue)`
`void` | `setColumns(int newValue)`
`void` | `setId(java.lang.String newValue)`
`void` | `setTitle(java.lang.String newValue)`
`void` | `setXmlLang(java.lang.String newValue)`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLTableElementImpl

    public WMLTableElementImpl(WMLDocumentImpl owner,
                               java.lang.String tagName)

Method Detail

### setColumns

    public void setColumns(int newValue)

  Specified by:
    setColumns in interface WMLTableElement

### getColumns

    public int getColumns()

  Specified by:
    getColumns in interface WMLTableElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Specified by:
    setXmlLang in interface WMLTableElement

  Overrides:
    setXmlLang in class WMLElementImpl

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    getXmlLang in interface WMLTableElement

  Overrides:
    getXmlLang in class WMLElementImpl

### setAlign

    public void setAlign(java.lang.String newValue)

  Specified by:
    setAlign in interface WMLTableElement

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface WMLTableElement

### setTitle

    public void setTitle(java.lang.String newValue)

  Specified by:
    setTitle in interface WMLTableElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface WMLTableElement

### setId

    public void setId(java.lang.String newValue)

  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD